Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Master
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
      GET
    • Get Passengers
      GET
  • Goals
    • Update KPI
      POST
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Master

Get CustomField

GET
https://api.gofive.co.th/empeo/api/v1/masters/custom-fields
Show details custom-field

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/masters/custom-fields' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": [
        {
            "fieldName": "Paragraph",
            "customFieldsType": 20006,
            "textBoxType": 2
        },
        {
            "fieldName": "Single Selection",
            "customFieldsType": 20002,
            "textBoxType": 1,
            "options": [
                {
                    "sequence": "1",
                    "option": "Option 1"
                },
                {
                    "sequence": "2",
                    "option": "Option 2"
                },
                {
                    "sequence": "3",
                    "option": "Option 3"
                }
            ]
        },
        {
            "fieldName": "Multi Selection",
            "customFieldsType": 20003,
            "textBoxType": 1,
            "options": [
                {
                    "sequence": "1",
                    "option": "Option 1"
                },
                {
                    "sequence": "2",
                    "option": "Option 2"
                },
                {
                    "sequence": "3",
                    "option": "Option 3"
                }
            ]
        },
        {
            "fieldName": "Drop down List",
            "customFieldsType": 20004,
            "textBoxType": 1,
            "options": [
                {
                    "sequence": "1",
                    "option": "Option 1"
                },
                {
                    "sequence": "2",
                    "option": "Option 2"
                },
                {
                    "sequence": "3",
                    "option": "Option 3"
                },
                {
                    "sequence": "4",
                    "option": "Option 4"
                }
            ]
        },
        {
            "fieldName": "Date Picker",
            "customFieldsType": 20005,
            "textBoxType": 1
        },
        {
            "fieldName": "Text - none",
            "customFieldsType": 20001,
            "textBoxType": 1
        },
        {
            "fieldName": "Text - Letter",
            "customFieldsType": 20001,
            "textBoxType": 2
        },
        {
            "fieldName": "Text - Number",
            "customFieldsType": 20001,
            "textBoxType": 3
        },
        {
            "fieldName": "Text - Email",
            "customFieldsType": 20001,
            "textBoxType": 4
        },
        {
            "fieldName": "Text - Custom",
            "customFieldsType": 20001,
            "textBoxType": 5,
            "regularExpression": "^[a-z]$"
        }
    ]
}
Modified at 2026-04-28 10:38:24
Previous
Get Organizations
Next
Get Holiday
Built with